Bug 512253 - query -K keyword results in a Traceback
query -K keyword results in a Traceback
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: python-bugzilla (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Will Woods
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-16 16:31 EDT by Thomas Janssen
Modified: 2010-04-28 10:03 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-28 10:03:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas Janssen 2009-07-16 16:31:16 EDT
Description of problem:
If you use the query -K <keyword> option the app gives the following output, no matter what keywords are used:

[thomas@tusdell ~]$ bugzilla --verbose query -K plymouth
INFO:bugzilla:Connecting to https://bugzilla.redhat.com/xmlrpc.cgi
INFO:bugzilla:Autodetecting Bugzilla type                         
INFO:bugzilla:Bugzilla v0.4-rc4 initializing                      
INFO:bugzilla:Chose subclass RHBugzilla3 v0.1                     
INFO:bugzilla:Using cookies in /home/thomas/.bugzillacookies for authentication
Traceback (most recent call last):
  File "/usr/bin/bugzilla", line 521, in <module>
    main()
  File "/usr/bin/bugzilla", line 414, in main
    buglist = bz.query(q)
  File "/usr/lib/python2.5/site-packages/bugzilla/base.py", line 394, in query
    r = self._query(query)
  File "/usr/lib/python2.5/site-packages/bugzilla/rhbugzilla.py", line 395, in _query
    return self._proxy.Bug.search(query)
  File "/usr/lib64/python2.5/xmlrpclib.py", line 1150, in __call__
    return self.__send(self.__name, args)
  File "/usr/lib64/python2.5/xmlrpclib.py", line 1440, in __request
    verbose=self.__verbose
  File "/usr/lib/python2.5/site-packages/bugzilla/base.py", line 776, in request
    return self._parse_response(h.getfile(), sock)
  File "/usr/lib64/python2.5/xmlrpclib.py", line 1343, in _parse_response
    return u.close()
  File "/usr/lib64/python2.5/xmlrpclib.py", line 790, in close
    raise Fault(**self._stack[0])
xmlrpclib.Fault: <Fault 10000: 'Your query returned 246839 bugs and\n    Red Hat Bugzilla will only return 100000 or less bugs. \n    Please back up and narrow your search criteria. If you feel your results \n    were expected and your search criteria was correct, please send email to \n    bugzilla-owner@redhat.com \n    describing what you were doing and we will correct the error.'>
[thomas@tusdell ~]$ bugzilla --verbose query -K blahblub
INFO:bugzilla:Connecting to https://bugzilla.redhat.com/xmlrpc.cgi
INFO:bugzilla:Autodetecting Bugzilla type
INFO:bugzilla:Bugzilla v0.4-rc4 initializing
INFO:bugzilla:Chose subclass RHBugzilla3 v0.1
INFO:bugzilla:Using cookies in /home/thomas/.bugzillacookies for authentication
Traceback (most recent call last):
  File "/usr/bin/bugzilla", line 521, in <module>
    main()
  File "/usr/bin/bugzilla", line 414, in main
    buglist = bz.query(q)
  File "/usr/lib/python2.5/site-packages/bugzilla/base.py", line 394, in query
    r = self._query(query)
  File "/usr/lib/python2.5/site-packages/bugzilla/rhbugzilla.py", line 395, in _query
    return self._proxy.Bug.search(query)
  File "/usr/lib64/python2.5/xmlrpclib.py", line 1150, in __call__
    return self.__send(self.__name, args)
  File "/usr/lib64/python2.5/xmlrpclib.py", line 1440, in __request
    verbose=self.__verbose
  File "/usr/lib/python2.5/site-packages/bugzilla/base.py", line 776, in request
    return self._parse_response(h.getfile(), sock)
  File "/usr/lib64/python2.5/xmlrpclib.py", line 1343, in _parse_response
    return u.close()
  File "/usr/lib64/python2.5/xmlrpclib.py", line 790, in close
    raise Fault(**self._stack[0])
xmlrpclib.Fault: <Fault 10000: 'Your query returned 246856 bugs and\n    Red Hat Bugzilla will only return 100000 or less bugs. \n    Please back up and narrow your search criteria. If you feel your results \n    were expected and your search criteria was correct, please send email to \n    bugzilla-owner@redhat.com \n    describing what you were doing and we will correct the error.'>
[thomas@tusdell ~]$

I think the Traceback isn't expected and the result of bugs (246856) no matter what keywords are used (two examples: plymouth and blahblub) isn't right.

Version-Release number of selected component (if applicable):
python-bugzilla-0.4-0.rc4.fc10.noarch

How reproducible:
Always, use: bugzilla query -K yourkeyword

Actual results:
Traceback, wrong result

Expected results:
No Traceback, the corresponding bugs to the keyword.
Comment 1 Tim Li 2009-10-28 20:55:02 EDT
I can confirm this in Fedora 11 using python-bugzilla-0.5.1-2.fc11.noarch.
Comment 2 Bug Zapper 2010-04-27 11:44:21 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Thomas Janssen 2010-04-27 13:18:53 EDT
Just tried in F-12 again, still the same problem. Changing version to 12.


bugzilla --verbose query -K plymouth
INFO:bugzilla:Connecting to https://bugzilla.redhat.com/xmlrpc.cgi
INFO:bugzilla:Autodetecting Bugzilla type
INFO:bugzilla:Bugzilla v0.5.1 initializing
INFO:bugzilla:Chose subclass RHBugzilla3 v0.1
INFO:bugzilla:Using cookies in /home/thomas/.bugzillacookies for authentication
Traceback (most recent call last):
  File "/usr/bin/bugzilla", line 595, in <module>
    main()
  File "/usr/bin/bugzilla", line 449, in main
    buglist = bz.query(q)
  File "/usr/lib/python2.6/site-packages/bugzilla/base.py", line 502, in query
    r = self._query(query)
  File "/usr/lib/python2.6/site-packages/bugzilla/rhbugzilla.py", line 414, in _query
    return self._proxy.Bug.search(query)
  File "/usr/lib64/python2.6/xmlrpclib.py", line 1199, in __call__
    return self.__send(self.__name, args)
  File "/usr/lib64/python2.6/xmlrpclib.py", line 1489, in __request
    verbose=self.__verbose
  File "/usr/lib/python2.6/site-packages/bugzilla/base.py", line 957, in request
    return self._parse_response(h.getfile(), sock)
  File "/usr/lib64/python2.6/xmlrpclib.py", line 1392, in _parse_response
    return u.close()
  File "/usr/lib64/python2.6/xmlrpclib.py", line 838, in close
    raise Fault(**self._stack[0])
xmlrpclib.Fault: <Fault 10000: 'Your query returned 302109 bugs and Red Hat Bugzilla will only return\n100000 or less bugs. Please back up and narrow your search criteria. If\nyou feel your results were expected and your search criteria was\ncorrect, please send email to bugzilla-owner@redhat.com describing what\nyou were doing and we will correct the error.'>

The search query seems to be correct. I doubt there's 302109 bugs for plymouth.
Comment 4 Will Woods 2010-04-27 13:25:56 EDT
You're using the 'Keyword' argument wrong. There are only a small number of legal Keywords - see https://bugzilla.redhat.com/describekeywords.cgi - and those are stored in the 'Keyword' field (notice the 'Keyword' box, up near the top of the web page for this bug)

Since that parameter will be ignored if you provide an invalid keyword, your query is empty, and therefore returns every bug in the database. So the Fault message is actually correct. Also, python-bugzilla-0.6.0 handles XMLRPC faults without a traceback, so that's fixed elsewhere.

So, what exactly are you trying to accomplish? If you want to search for bugs against the 'plymouth' component, try:

  bugzilla query -c plymouth

If you're trying to simulate a quicksearch, you can currently do this:

  k=pants; bugzilla query --boolean_query "product-substring-$k | component-substring-$k | short_desc-substring-$k | status_whiteboard-substring-$k | content-matches-$k"

It might make sense to add a --quicksearch flag but I'm not sure why you would want to use that from the commandline in the first place.

What exactly were you trying to accomplish here?
Comment 5 Thomas Janssen 2010-04-28 10:03:30 EDT
Thank you very much for all the info Will! I was obviously to dumb to read the man page for bugzilla correct. Otherwise i would have noticed the -c option as needed for what i want (instead of the -K).

I should have read it at least again before i changed the version to 12.

It would though be nice if it would spit out a list of keywords instead of a traceback, but hey, i bet i was the first idiot who found that "problem" :D

Sorry for the noise and thanks again!

Closing it as NOTABUG.

Note You need to log in before you can comment on or make changes to this bug.